bitel.billing.server.script.bean.event

## Class Event

- java.lang.Object
- - bitel.billing.server.script.bean.event.Event

- All Implemented Interfaces:
    java.io.Serializable

  Deprecated.

      @Deprecated
      public abstract class Event
      extends java.lang.Object
      implements java.io.Serializable

  Общий класс для всех генерируемых биллингом событий События могут обрабатываться синхронно - программа ожидает результатов обработки, либо асинхронно - событие просто ставится в очередь и исполняется по возможности. Устарело с 5.2 как и старый EventProccesor , вырезать и перейти на новый.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `contractId` Deprecated.
    `protected int` | `moduleId` Deprecated.
    `protected int` | `pluginId` Deprecated.
    `protected int` | `typeId` Deprecated.
    `protected int` | `userId` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Event()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getContractId()` Deprecated. Код договора с которым произошло событие
    `java.util.Calendar` | `getGenerateTime()` Deprecated. Время генерации события системой
    `int` | `getModuleId()` Deprecated. Код сгенерировашего событие модуля, 0 - ядро
    `int` | `getPluginId()` Deprecated.
    `int` | `getTypeId()` Deprecated. Код типа события
    `int` | `getUserId()` Deprecated. Код текущего пользователя биллинга
    `java.lang.String` | `toString()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### typeId

          protected int typeId

      Deprecated.

    - #### moduleId

          protected int moduleId

      Deprecated.

    - #### pluginId

          protected int pluginId

      Deprecated.

    - #### contractId

          protected int contractId

      Deprecated.

    - #### userId

          protected int userId

      Deprecated.

  - ### Constructor Detail

    - #### Event

          public Event()

      Deprecated.

  - ### Method Detail

    - #### getModuleId

          public int getModuleId()

      Deprecated.
      Код сгенерировашего событие модуля, 0 - ядро
      Returns:
        int

    - #### getContractId

          public int getContractId()

      Deprecated.
      Код договора с которым произошло событие
      Returns:
        int

    - #### getUserId

          public int getUserId()

      Deprecated.
      Код текущего пользователя биллинга
      Returns:
        код пользователя биллинга

    - #### getTypeId

          public int getTypeId()

      Deprecated.
      Код типа события
      Returns:
        int

    - #### getGenerateTime

          public java.util.Calendar getGenerateTime()

      Deprecated.
      Время генерации события системой
      Returns:
        Calendar

    - #### toString

          public java.lang.String toString()

      Deprecated.
      Overrides:
        `toString` in class `java.lang.Object`

    - #### getPluginId

          public int getPluginId()

      Deprecated.